org.apache.catalina.ha

## Class ClusterListener

- java.lang.Object
- - org.apache.catalina.ha.ClusterListener

- All Implemented Interfaces:
    ChannelListener
  Direct Known Subclasses:
    ClusterSessionListener, FarmWarDeployer

      public abstract class ClusterListener
      extends Object
      implements ChannelListener

  Receive SessionID cluster change from other backup node after primary session node is failed.
  Author:
    Peter Rossbach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CatalinaCluster` | `cluster` The string manager for this package.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `accept(ClusterMessage msg)` Accept only SessionIDMessages
    `boolean` | `accept(Serializable msg, Member member)` Invoked by the channel to determine if the listener will process this message or not.
    `CatalinaCluster` | `getCluster()`
    `abstract void` | `messageReceived(ClusterMessage msg)` Callback from the cluster, when a message is received, The cluster will broadcast it invoking the messageReceived on the receiver.
    `void` | `messageReceived(Serializable msg, Member member)` Receive a message from the channel
    `void` | `setCluster(CatalinaCluster cluster)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.tribes.ChannelListener

      `equals, hashCode`

- - ### Field Detail

    - #### cluster

          protected CatalinaCluster cluster

      The string manager for this package.

  - ### Constructor Detail

    - #### ClusterListener

          public ClusterListener()

  - ### Method Detail

    - #### getCluster

          public CatalinaCluster getCluster()

    - #### setCluster

          public void setCluster(CatalinaCluster cluster)

    - #### messageReceived

          public final void messageReceived(Serializable msg,
                             Member member)

      Description copied from interface: `ChannelListener`
      Receive a message from the channel
      Specified by:
        `messageReceived` in interface `ChannelListener`
      Parameters:
        `msg` - Serializable
        `member` - - the source of the message

    - #### accept

          public final boolean accept(Serializable msg,
                       Member member)

      Description copied from interface: `ChannelListener`
      Invoked by the channel to determine if the listener will process this message or not.
      Specified by:
        `accept` in interface `ChannelListener`
      Parameters:
        `msg` - Serializable
        `member` - Member
      Returns:
        boolean

    - #### messageReceived

          public abstract void messageReceived(ClusterMessage msg)

      Callback from the cluster, when a message is received, The cluster will broadcast it invoking the messageReceived on the receiver.
      Parameters:
        `msg` - ClusterMessage - the message received from the cluster

    - #### accept

          public abstract boolean accept(ClusterMessage msg)

      Accept only SessionIDMessages
      Parameters:
        `msg` - ClusterMessage
      Returns:
        boolean - returns true to indicate that messageReceived should be invoked. If false is returned, the messageReceived method will not be invoked.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.